<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: menu_admin.php
| Author: Smokeman
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."css_dropdown_menu/infusion_db.php";

if (!checkrights("CDM")) redirect("../index.php");

$pagenum = (isset($_REQUEST['pagenum']) && isnum($_REQUEST['pagenum'])) ? $_REQUEST['pagenum'] : "";

if (file_exists(INFUSIONS."css_dropdown_menu/locale/".$settings['locale'].".php")) {
	include INFUSIONS."css_dropdown_menu/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."css_dropdown_menu/locale/English.php";
}

if ($page1) { $default = 1; }
elseif ($page2) { $default = 2; }
elseif ($page3) { $default = 3; }
else { redirect("../index.php"); }

opentable($locale['CDM002']);
echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
if ($page1) {
	echo "<td align='center' width='100' class='".($pagenum == 1 ? "tbl1" : "tbl2")."'><span class='small'>\n";
	echo ($pagenum == 1 ? "<b>".$locale['CDM003']."</b>" : "<a href='".FUSION_SELF."?pagenum=1'>".$locale['CDM003']."</a>")."</span></td>\n";
}
if ($page2) {
	echo "<td align='center' width='100' class='".($pagenum == 2 ? "tbl1" : "tbl2")."'><span class='small'>\n";
	echo ($pagenum == 2 ? "<b>".$locale['CDM004']."</b>" : "<a href='".FUSION_SELF."?pagenum=2'>".$locale['CDM004']."</a>")."</span></td>\n";
}
if ($page3) {
	echo "<td align='center' width='100' class='".($pagenum == 3 ? "tbl1" : "tbl2")."'><span class='small'>\n";
	echo ($pagenum == 3 ? "<b>".$locale['CDM005']."</b>" : "<a href='".FUSION_SELF."?pagenum=3'>".$locale['CDM005']."</a>")."</span></td>\n";
}

	echo "</tr>
	<tr>
	<td colspan='4' class='tbl1'>\n";

// Her kommer selve indholdet til siden
	$action = isset($_REQUEST['action']) ? $_REQUEST['action'] : "";
	$menu_access = isset($_REQUEST['menu_access']) ? $_REQUEST['menu_access'] : "";
	$cat = isset($_REQUEST['cat']) ? $_REQUEST['cat'] : "";
	$newid = isset($_REQUEST['newid']) ? $_REQUEST['newid'] : "";
	$id = (isset($_REQUEST['id']) && isnum($_REQUEST['id'])) ? $_REQUEST['id'] : "";

if ($pagenum == 1) {
	if (isset($_GET['action']) && $_GET['action'] == "refresh") {
	$i = 1;
	$result = dbquery("SELECT * FROM ".DB_MENUS." ORDER BY menu_order");
	while ($data = dbarray($result)){
		$result2 = dbquery("UPDATE ".DB_MENUS." SET menu_order='$i' WHERE menu_id='".$data['menu_id']."'");
		$i++;
	}
	}
	echo "<center>[<a href='".FUSION_SELF."?action=refresh&amp;pagenum=1'>".$locale['CDM071']."</a>]</center>\n";

//   Move up 
if ($action == "moveup") {
	$data = dbarray(dbquery("SELECT * FROM ".DB_MENUS." WHERE menu_cat='$cat' AND menu_order='".$_GET['order']."'"));
	$result = dbquery("UPDATE ".DB_MENUS." SET menu_order=menu_order+1 WHERE menu_id='".$data['menu_id']."'");
	$result = dbquery("UPDATE ".DB_MENUS." SET menu_order=menu_order-1 WHERE menu_id='$id'");
}

//   Move down 
if ($action == "movedown") {
	$data = dbarray(dbquery("SELECT * FROM ".DB_MENUS." WHERE menu_cat='$cat' AND menu_order='".$_GET['order']."'"));
	$result = dbquery("UPDATE ".DB_MENUS." SET menu_order=menu_order-1 WHERE menu_id='".$data['menu_id']."'");
	$result = dbquery("UPDATE ".DB_MENUS." SET menu_order=menu_order+1 WHERE menu_id='$id'");
}

//   Add 
if ($action == "add") {
	echo "<table align='center' class='tbl-border' cellspacing='1'><tr>\n<td class='tbl1'><b>".$locale['CDM006']."</b></td>\n</tr>\n<tr><td class='tbl1'>";

	$user_groups = getusergroups(); $access_opts = "";
while(list($key, $user_group) = each($user_groups)) {
	$sel = ($menu_access == $user_group['0'] ? " selected" : "");
	$access_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
}
	echo "<form name='addmenu' method='post' action='".FUSION_SELF."?action=insert&amp;pagenum=1'>
        <table align='center' width='300' cellspacing='0' cellpadding='0' class='tbl'>\n<tr>\n
        <td colspan='2'>".$locale['CDM007']."<br />
        <input type='text' name='menu_name' class='textbox' style='width:285px;'></td>\n
        </tr>\n<tr>\n
        <td colspan='2'>".$locale['CDM008']."<br />
        <input type='text' name='menu_link' rows='2' class='textbox' style='width:285px;'></td>\n
        </tr>\n<tr>\n
        <td colspan='2'>".$locale['CDM009']."<br />
        <select name='menu_access' class='textbox' style='width:225px;'>".$access_opts."</select></td>\n
        </tr>\n
        <input type='hidden' name='menu_order' value='$newid'>
        <input type='hidden' name='menu_cat' value='$cat'>
        <tr>
        <td align='center' colspan='2'>
        <input type='submit' name='insert' value='".$locale['CDM010']."' class='button'></td>\n
        </tr>\n</table>\n
        </form>\n";
	echo "</td>\n</tr>\n</table>";
}

//   Edit 
if ($action == "edit") {
    echo "<table align='center' class='tbl-border' cellspacing='1'><tr><td class='tbl1'><b>".$locale['CDM011']."</b></td></tr><tr><td class='tbl1'>";
        $result = dbquery("SELECT * FROM ".DB_MENUS." WHERE menu_id='".$id."'");
	$data = dbarray($result);
	$menu_name = $data['menu_name'];
	$menu_link = $data['menu_link'];
	$menu_cat = $data['menu_cat'];
	$menu_order = $data['menu_order'];
	$menu_access = $data['menu_access'];
	$menu_window = $data['menu_window'];

	$user_groups = getusergroups(); $access_opts = "";
while(list($key, $user_group) = each($user_groups)){
	$sel = ($menu_access == $user_group['0'] ? " selected" : "");
	$access_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
}
	echo "<form name='addmenu' method='post' action='".FUSION_SELF."?action=update&amp;pagenum=1'>
        <table align='center' width='300' cellspacing='0' cellpadding='0' class='tbl'>\n<tr>\n
        <td colspan='2'>".$locale['CDM007']."<br />
        <input type='text' name='menu_name' value='$menu_name' class='textbox' style='width:285px;'></td>\n
        </tr>\n<tr>\n
        <td colspan='2'>".$locale['CDM008']."<br />
        <input type='text' name='menu_link' value='$menu_link' rows='2' class='textbox' style='width:285px;'></td>\n
        </tr>\n<tr>\n
        <td colspan='2'>".$locale['CDM009']."<br />
        <select name='menu_access' class='textbox' style='width:225px;'>".$access_opts."</select></td>\n
        </tr>\n
        <input type='hidden' name='menu_id' value='$id'>
        <input type='hidden' name='menu_order' value='$menu_order'>
        <input type='hidden' name='menu_cat' value='$menu_cat'>
        <tr>
        <td align='center' colspan='2'>
        <input type='submit' name='update' value='".$locale['CDM010']."' class='button'></td>\n
        </tr>\n</table>\n
        </form>\n";
	echo "</td></tr></table>";
}

//   Insert 
if ($action == "insert") {
	echo "<table align='center' class='tbl-border' cellspacing='1'><tr>\n<td class='tbl1'><b>".$locale['CDM012']."</b></td>\n</tr>\n<tr><td class='tbl1'>";
   	$menu_name = stripinput($_POST['menu_name']);
	$menu_link = stripinput($_POST['menu_link']);
	$menu_cat = $_POST['menu_cat'];
	$menu_order = $_POST['menu_order'];
	$menu_access = $_POST['menu_access'];
	$menu_window = $data['menu_window'];

	$result = dbquery("INSERT INTO ".DB_MENUS." VALUES('', '$menu_cat', '$menu_name', '$menu_order', '$menu_link', '$menu_access', '$menu_window')");
	echo "<center>".$locale['CDM013']."</center>";
	echo "</td>\n</tr>\n</table>\n";
}

//   Update 
if ($action == "update") {
	echo "<table align='center' class='tbl-border' cellspacing='1'><tr>\n<td class='tbl1'><b>".$locale['CDM012']."</b></td>\n</tr>\n<tr><td class='tbl1'>";

	$menu_id = $_POST['menu_id'];
	$menu_name = stripinput($_POST['menu_name']);
	$menu_link = stripinput($_POST['menu_link']);
	$menu_cat = $_POST['menu_cat'];
	$menu_order = $_POST['menu_order'];
	$menu_access = $_POST['menu_access'];
	//$menu_window = $_POST['menu_window'];
	$menu_window = isset($_REQUEST['menu_window']) ? $_REQUEST['menu_window'] : "";

	$result = dbquery("UPDATE ".DB_MENUS." SET menu_name='$menu_name', menu_cat='$menu_cat', menu_order='$menu_order', menu_link='$menu_link', menu_access='$menu_access', menu_window='$menu_window' WHERE menu_id='$menu_id'");

	echo $locale['CDM013'];
	echo "</td>\n</tr>\n</table>\n";
};

//   Delete 
if ($action == "delete") {
	echo "<table align='center' class='tbl-border' cellspacing='1'><tr>\n<td class='tbl1'><b>".$locale['CDM014']."</b></td>\n</tr>\n<tr><td class='tbl1'>";
if (dbcount("(*)", DB_MENUS, "menu_cat='".$id."'") == 0) {
	$data = dbarray(dbquery("SELECT * FROM ".DB_MENUS." WHERE menu_id='".$id."'"));
	$result = dbquery("UPDATE ".DB_MENUS." SET menu_order=menu_order-1 WHERE menu_order>'".$data['menu_order']."'");
	$result = dbquery("DELETE FROM ".DB_MENUS." WHERE menu_id='".$id."'");
	echo "<center><br />".$locale['CDM015']."<br /><br />
        </center>\n";
} else {
        echo "<center><br />".$locale['CDM016']."
        </center>\n";
}
	echo "</td>\n</tr>\n</table>\n";
}

//   Tegn menuopstillingen 
// Hent verste rkke i tabellen
	echo "<br /><table cellspacing='1' cellpadding='0' class='tbl-border' align='center'><tr>\n
	<td class='tbl2'><strong>".$locale['CDM017']."</strong></td>\n
	<td class='tbl2'><strong>".$locale['CDM018']."</strong></td>\n
	<td class='tbl2'><strong>".$locale['CDM019']."</strong></td>\n
	<td class='tbl2'><div align='left'><strong>".$locale['CDM020']."</strong></div></td>\n
	<td class='tbl2'><strong>".$locale['CDM021']."</strong></td>\n</tr>\n";

// Hent menupunkter niveau 0
	$msql = dbquery("SELECT * FROM ".DB_MENUS." WHERE menu_cat='0' ORDER BY menu_order");
	$numrows = dbrows($msql);
	echo "<tr>
	<td class='tbl2'><strong>".$locale['CDM022']."</strong></td>\n
	<td class='tbl2'></td>\n
	<td class='tbl2'></td>\n
	<td class='tbl2'></td>\n
	<td class='tbl2'><a href='".FUSION_SELF."?action=add&amp;pagenum=1&amp;cat=0&amp;newid=".($numrows + 1)."'>".$locale['CDM023']."</a></td>\n</tr>\n";
if ($numrows != 0) {
	$i = 1;
while ($mdata = dbarray($msql)) {
        echo "<tr><td class='tbl1'><font color='#009900'><strong>".$mdata['menu_name']."</strong></font></td>\n
        <td class='tbl1'>".$mdata['menu_link']."</td>
        <td class='tbl1'>".getgroupname($mdata['menu_access'])."</td>\n";
        echo "<td class='tbl1'>".$mdata['menu_order']." ";
        $up = $mdata['menu_order'] - 1;
        $down = $mdata['menu_order'] + 1;
if ($i == 1) {
if ($numrows > 1) {
	echo "<a href='".FUSION_SELF."?action=movedown&amp;pagenum=1&amp;order=$down&amp;id=".$mdata['menu_id']."&amp;cat=".$mdata['menu_cat']."'><img src='".THEME."images/down.gif' style='border:0px;'></a>\n";
}
} else if ($i > 1) {
if ($numrows > $i) {
	echo "<a href='".FUSION_SELF."?action=moveup&amp;pagenum=1&amp;order=$up&amp;id=".$mdata['menu_id']."&amp;cat=".$mdata['menu_cat']."'><img src='".THEME."images/up.gif' style='border:0px;'></a><a href='".FUSION_SELF."?action=movedown&amp;pagenum=1&amp;order=$down&amp;id=".$mdata['menu_id']."&amp;cat=".$mdata['menu_cat']."'><img src='".THEME."images/down.gif' style='border:0px;'></a>";
} else if ($numrows = $i) {
	echo "<a href='".FUSION_SELF."?action=moveup&amp;pagenum=1&amp;order=$up&amp;id=".$mdata['menu_id']."&amp;cat=".$mdata['menu_cat']."'><img src='".THEME."images/up.gif' style='border:0px;'></a>";
}
}
        echo "</td>
        <td class='tbl1'>
        <a href='".FUSION_SELF."?action=edit&amp;pagenum=1&amp;id=".$mdata['menu_id']."'>".$locale['CDM024']."</a> -
        <a href='".FUSION_SELF."?action=delete&amp;pagenum=1&amp;id=".$mdata['menu_id']."'>".$locale['CDM025']."</a> -
        <a href='".FUSION_SELF."?action=add&amp;pagenum=1&amp;cat=".$mdata['menu_id']."&amp;newid=".($numrows + 1)."'>".$locale['CDM026']."</a> </td></tr>";

// Hent menupunkter niveau 1
	$msql2 = dbquery("SELECT * FROM ".DB_MENUS." WHERE menu_cat='".$mdata['menu_id']."' ORDER BY menu_order");
        $numrows2 = dbrows($msql2);
if ($numrows2 != 0) {
	$j = 1;
while ($mdata2 = dbarray($msql2)) {
	echo "<tr><td class='tbl2'><font color='#000099'><strong><img src='images/spacer.gif' width='5'>".$mdata2['menu_name']."</strong></font></td>\n
	<td class='tbl2'>".$mdata2['menu_link']."</td>\n
	<td class='tbl2'>".getgroupname($mdata2['menu_access'])."</td>\n";
	echo "<td class='tbl2'>".$mdata2['menu_order']." ";
	$up = $mdata2['menu_order'] - 1;
	$down = $mdata2['menu_order'] + 1;
if ($j == 1) {
if ($numrows2 > 1) {
	echo "<a href='".FUSION_SELF."?action=movedown&amp;pagenum=1&amp;order=$down&amp;id=".$mdata2['menu_id']."&amp;cat=".$mdata2['menu_cat']."'><img src='".THEME."images/down.gif' style='border:0px;'></a>";
}
} else if ($j > 1) {
if ($numrows2 > $j) {
	echo "<a href='".FUSION_SELF."?action=moveup&amp;pagenum=1&amp;order=$up&amp;id=".$mdata2['menu_id']."&amp;cat=".$mdata2['menu_cat']."'><img src='".THEME."images/up.gif' style='border:0px;'></a><a href='".FUSION_SELF."?action=movedown&amp;pagenum=1&amp;order=$down&amp;id=".$mdata2['menu_id']."&amp;cat=".$mdata2['menu_cat']."'><img src='".THEME."images/down.gif' style='border:0px;'></a>";
} else if ($numrows2 = $j) {
	echo "<a href='".FUSION_SELF."?action=moveup&amp;pagenum=1&amp;order=$up&amp;id=".$mdata2['menu_id']."&amp;cat=".$mdata2['menu_cat']."'><img src='".THEME."images/up.gif' style='border:0px;'></a>";
}
}
	echo "</td>
	<td class='tbl2'>
	<a href='".FUSION_SELF."?action=edit&amp;pagenum=1&amp;id=".$mdata2['menu_id']."'>".$locale['CDM024']."</a> -
	<a href='".FUSION_SELF."?action=delete&amp;pagenum=1&amp;id=".$mdata2['menu_id']."'>".$locale['CDM025']."</a> -
	<a href='".FUSION_SELF."?action=add&amp;pagenum=1&amp;cat=".$mdata2['menu_id']."&amp;newid=".($numrows2 + 1)."'>".$locale['CDM026']."</a> </td>\n</tr>\n";

// Hent menupunkter niveau 2
	$msql3 = dbquery("SELECT * FROM ".DB_MENUS." WHERE menu_cat='".$mdata2['menu_id']."' ORDER BY menu_order");
	$numrows3 = dbrows($msql3);
if ($numrows3 != 0) {
	$k = 1;
while ($mdata3 = dbarray($msql3)){
	echo "<tr><td class='tbl1'><font color='#990000'><strong><img src='images/spacer.gif' width='10'>".$mdata3['menu_name']."</strong></font></td>\n
	<td class='tbl1'>".$mdata3['menu_link']."</td>
	<td class='tbl1'>".getgroupname($mdata3['menu_access'])."</td>\n";
	echo "<td class='tbl1'>".$mdata3['menu_order']." ";
	$up = $mdata3['menu_order'] - 1;
	$down = $mdata3['menu_order'] + 1;
if ($k == 1) {
if ($numrows3 > 1) {
	echo "<a href='".FUSION_SELF."?action=movedown&amp;pagenum=1&amp;order=$down&amp;id=".$mdata3['menu_id']."&amp;cat=".$mdata3['menu_cat']."'><img src='".THEME."images/down.gif' style='border:0px;'></a>";
}
} else if ($k > 1) {
if ($numrows3 > $k) {
	echo "<a href='".FUSION_SELF."?action=moveup&amp;pagenum=1&amp;order=$up&amp;id=".$mdata3['menu_id']."&amp;cat=".$mdata3['menu_cat']."'><img src='".THEME."images/up.gif' style='border:0px;'></a><a href='".FUSION_SELF."?action=movedown&amp;pagenum=1&amp;order=$down&amp;id=".$mdata3['menu_id']."&amp;cat=".$mdata3['menu_cat']."'><img src='".THEME."images/down.gif' style='border:0px;'></a>";
} else if ($numrows3 = $k) {
	echo "<a href='".FUSION_SELF."?action=moveup&amp;pagenum=1&amp;order=$up&amp;id=".$mdata3['menu_id']."&amp;cat=".$mdata3['menu_cat']."'><img src='".THEME."images/up.gif' style='border:0px;'></a>";
}
}
	echo "</td>\n
	<td class='tbl1'>
        <a href='".FUSION_SELF."?action=edit&amp;pagenum=1&amp;id=".$mdata3['menu_id']."'>".$locale['CDM024']."</a> -
        <a href='".FUSION_SELF."?action=delete&amp;pagenum=1&amp;id=".$mdata3['menu_id']."'>".$locale['CDM025']."</a></td>\n</tr>\n";
	$k++;
}
}
	$j++;
}
}
        $i++;
}
} else {
	echo "<center>".$locale['CDM027']."<br /><br /></center>";
}

} else if ($pagenum == 2) {

// Side 2
if (isset($_POST['savesettings'])) {
	$result = dbquery("UPDATE ".DB_MENU_SETTINGS." SET
  mset_imgon='".stripinput($_POST['imgon'])."',
  mset_imgon_sub='".stripinput($_POST['imgon_sub'])."',
  mset_imgoff='".stripinput($_POST['imgoff'])."',
  mset_imgoff_main='".stripinput($_POST['imgoff_main'])."',
	mset_bgcolor='".stripinput($_POST['bgcolor'])."',
	mset_textcolor='".stripinput($_POST['textcolor'])."',
	mset_hbgcolor='".stripinput($_POST['hbgcolor'])."',
	mset_hbgcolor_sub='".stripinput($_POST['hbgcolor_sub'])."',
	mset_hbgcolor_sub_on='".stripinput($_POST['hbgcolor_sub_on'])."',
	mset_htextcolor='".stripinput($_POST['htextcolor'])."',	
	mset_textcolor_sub='".stripinput($_POST['textcolor_sub'])."',
	mset_htextcolor_sub='".stripinput($_POST['htextcolor_sub'])."',
  mset_width='".stripinput($_POST['width'])."',
  mset_width_sub='".stripinput($_POST['width_sub'])."',
  mset_textweight='".stripinput($_POST['textweight'])."',
  mset_textweight_sub='".stripinput($_POST['textweight_sub'])."',
  mset_textweight_on='".stripinput($_POST['textweight_on'])."',
  mset_textweight_sub_on='".stripinput($_POST['textweight_sub_on'])."',
  mset_textsize='".stripinput($_POST['textsize'])."',
  mset_textalign='".stripinput($_POST['textalign'])."',
  mset_textfont='".stripinput($_POST['textfont'])."'
	");
	echo "<center>".$locale['CDM028']."<br /><a href='".FUSION_SELF."?pagenum=2'>".$locale['CDM029']."</a></center>";
} else {

	$menusettings2 = dbarray(dbquery("SELECT * FROM ".DB_MENU_SETTINGS.""));
	echo "<table align='center' class='tbl-border' cellspacing='1'><tr>\n<td class='tbl1'>";
	echo "<form name='addmenu' method='post' action='".FUSION_SELF."?pagenum=2'>
	<table align='center' cellspacing='0' cellpadding='2' class='tbl'>

<tr>
<td>".$locale['CDM034a']."</td>\n
<td><input type='text' name='imgoff_main' value='".$menusettings2['mset_imgoff_main']."' class='textbox' style='width:200px;'>".$locale['CDM035']."</td>\n
<td></td>\n
</tr>

<tr>
<td>".$locale['CDM036']."</td>\n
<td><input type='text' name='imgon' value='".$menusettings2['mset_imgon']."' class='textbox' style='width:200px;'>".$locale['CDM035']."</td>\n
<td></td>\n
</tr>

<tr>
<td>".$locale['CDM034']."</td>\n
<td><input type='text' name='imgoff' value='".$menusettings2['mset_imgoff']."' class='textbox' style='width:200px;'>".$locale['CDM035']."</td>\n
<td></td>\n
</tr>

<tr>
<td>".$locale['CDM036a']."<br /><hr /></td>\n
<td><input type='text' name='imgon_sub' value='".$menusettings2['mset_imgon_sub']."' class='textbox' style='width:200px;'>".$locale['CDM035']."</td>\n
<td></td>\n
</tr>

<tr>
<td>".$locale['CDM037']."</td>\n
<td>#<input type='text' name='bgcolor' value='".$menusettings2['mset_bgcolor']."' class='textbox'></td>\n
<td></td>\n
</tr>

<tr>
<td>".$locale['CDM039']."</td>\n
<td>#<input type='text' name='hbgcolor' value='".$menusettings2['mset_hbgcolor']."' class='textbox'></td>\n
<td></td>\n
</tr>

<tr>
<td>".$locale['CDM039a']."</td>\n
<td>#<input type='text' name='hbgcolor_sub_on' value='".$menusettings2['mset_hbgcolor_sub_on']."' class='textbox'></td>\n
<td></td>\n
</tr>

<tr>
<td>".$locale['CDM039b']."<br /><hr /></td>\n
<td>#<input type='text' name='hbgcolor_sub' value='".$menusettings2['mset_hbgcolor_sub']."' class='textbox'></td>\n
<td></td>\n
</tr>

<tr>
<td>".$locale['CDM038']."</td>\n
<td>#<input type='text' name='textcolor' value='".$menusettings2['mset_textcolor']."' class='textbox'></td>\n
<td></td>\n
</tr>

<tr>
<td>".$locale['CDM040']."</td>\n
<td>#<input type='text' name='htextcolor' value='".$menusettings2['mset_htextcolor']."' class='textbox'></td>\n
<td></td>\n
</tr>
<tr>

<tr>
<td>".$locale['CDM040a']."</td>\n
<td>#<input type='text' name='textcolor_sub' value='".$menusettings2['mset_textcolor_sub']."' class='textbox'></td>\n
<td></td>\n
</tr>
<tr>

<tr>
<td>".$locale['CDM040b']."<br /><hr /></td>\n
<td>#<input type='text' name='htextcolor_sub' value='".$menusettings2['mset_htextcolor_sub']."' class='textbox'></td>\n
<td></td>\n
</tr>
<tr>

<tr>
<td>".$locale['CDM052']."</td>\n
<td><input type='text' name='width' value='".$menusettings2['mset_width']."' class='textbox'>".$locale['CDM053']."</td>\n
<td></td>\n
</tr>

<tr>
<td>".$locale['CDM052a']."<br /><hr /></td>\n
<td><input type='text' name='width_sub' value='".$menusettings2['mset_width_sub']."' class='textbox'>".$locale['CDM053']."</td>\n
<td></td>\n
</tr>

<tr>
<td>".$locale['CDM058']."</td>\n
<td>
<select name='textweight' class='textbox'>";
if ($menusettings2['mset_textweight'] == 'normal') {echo "<option value='normal' selected>".$locale['CDM059']."</option><option value='bold'>".$locale['CDM060']."</option><option value='italic'>".$locale['CDM061']."</option>";}
if ($menusettings2['mset_textweight'] == 'bold') {echo "<option value='normal'>".$locale['CDM059']."</option><option value='bold' selected>".$locale['CDM060']."</option><option value='italic'>".$locale['CDM061']."</option>";}
if ($menusettings2['mset_textweight'] == 'italic') {echo "<option value='normal'>".$locale['CDM059']."</option><option value='bold'>".$locale['CDM060']."</option><option value='italic' selected>".$locale['CDM061']."</option>";}
echo "</select>
</td>\n
<td></td>\n
</tr>

<tr>
<td>".$locale['CDM058a']."</td>\n
<td>
<select name='textweight_sub' class='textbox'>";
if ($menusettings2['mset_textweight_sub'] == 'normal') {echo "<option value='normal' selected>".$locale['CDM059']."</option><option value='bold'>".$locale['CDM060']."</option><option value='italic'>".$locale['CDM061']."</option>";}
if ($menusettings2['mset_textweight_sub'] == 'bold') {echo "<option value='normal'>".$locale['CDM059']."</option><option value='bold' selected>".$locale['CDM060']."</option><option value='italic'>".$locale['CDM061']."</option>";}
if ($menusettings2['mset_textweight_sub'] == 'italic') {echo "<option value='normal'>".$locale['CDM059']."</option><option value='bold'>".$locale['CDM060']."</option><option value='italic' selected>".$locale['CDM061']."</option>";}
echo "</select>
</td>\n
<td></td>\n
</tr>

<tr>
<td>".$locale['CDM058b']."</td>\n
<td>\n
<select name='textweight_on' class='textbox'>";
if ($menusettings2['mset_textweight_on'] == 'normal') {echo "<option value='normal' selected>".$locale['CDM059']."</option><option value='bold'>".$locale['CDM060']."</option><option value='italic'>".$locale['CDM061']."</option>";}
if ($menusettings2['mset_textweight_on'] == 'bold') {echo "<option value='normal'>".$locale['CDM059']."</option><option value='bold' selected>".$locale['CDM060']."</option><option value='italic'>".$locale['CDM061']."</option>";}
if ($menusettings2['mset_textweight_on'] == 'italic') {echo "<option value='normal'>".$locale['CDM059']."</option><option value='bold'>".$locale['CDM060']."</option><option value='italic' selected>".$locale['CDM061']."</option>";}
echo "</select>
</td>\n
<td></td>\n
</tr>

<tr>
<td>".$locale['CDM058c']."<br /><hr /></td>\n
<td>
<select name='textweight_sub_on' class='textbox'>";
if ($menusettings2['mset_textweight_sub_on'] == 'normal') {echo "<option value='normal' selected>".$locale['CDM059']."</option><option value='bold'>".$locale['CDM060']."</option><option value='italic'>".$locale['CDM061']."</option>";}
if ($menusettings2['mset_textweight_sub_on'] == 'bold') {echo "<option value='normal'>".$locale['CDM059']."</option><option value='bold' selected>".$locale['CDM060']."</option><option value='italic'>".$locale['CDM061']."</option>";}
if ($menusettings2['mset_textweight_sub_on'] == 'italic') {echo "<option value='normal'>".$locale['CDM059']."</option><option value='bold'>".$locale['CDM060']."</option><option value='italic' selected>".$locale['CDM061']."</option>";}
echo "</select>
</td>\n
<td></td>\n
</tr>

<tr>
<td>".$locale['CDM062']."</td>\n
<td><input type='text' name='textsize' value='".$menusettings2['mset_textsize']."' class='textbox'>".$locale['CDM063']."</td>\n
<td></td>\n
</tr>
<tr>
<td>".$locale['CDM064']."</td>\n
<td>
<select name='textalign' class='textbox'>";
if ($menusettings2['mset_textalign'] == 'left') {echo "<option value='left' selected>".$locale['CDM065']."</option><option value='right'>".$locale['CDM066']."</option><option value='center'>".$locale['CDM067']."</option>";}
if ($menusettings2['mset_textalign'] == 'right') {echo "<option value='left'>".$locale['CDM65']."</option><option value='right' selected>".$locale['CDM066']."</option><option value='center'>".$locale['CDM067']."</option>";}
if ($menusettings2['mset_textalign'] == 'center') {echo "<option value='left'>".$locale['CDM065']."</option><option value='right'>".$locale['CDM066']."</option><option value='center' selected>".$locale['CDM067']."</option>";}
echo "</select>
</td>\n
<td></td>\n
</tr>

<tr>
<td>".$locale['CDM068']."</td>\n
<td>
<select name='textfont' class='textbox'>";
if ($menusettings2['mset_textfont'] == 'arial') {echo "<option value='arial' selected>Arial</option><option value='verdana'>Verdana</option><option value='Trebuchet MS'>Trebuchet MS</option>";}
if ($menusettings2['mset_textfont'] == 'verdana') {echo "<option value='arial'>Arial</option><option value='verdana' selected>Verdana</option><option value='Trebuchet MS'>Trebuchet MS</option>";}
if ($menusettings2['mset_textfont'] == 'Trebuchet MS') {echo "<option value='arial'>Arial</option><option value='verdana'>Verdana</option><option value='Trebuchet MS' selected>Trebuchet MS</option>";}
echo "</select>
</td>\n
<td></td>\n
</tr>

	<tr>
	<td align='right'><input type='submit' name='savesettings' value='".$locale['CDM069']."' class='button'></td>\n
	<td></td>\n
	<td></td>\n
	</tr>
	</table>\n
	</form>\n";
    echo "</td>\n</tr>\n</table>\n";
}


} else if ($pagenum == 3) {

// Side 3
	echo "".$locale['CDM070']."";
	echo "<br /><br /><center><a href='http://www.phpfusion-tips.dk' target='_blank'><img src='".INFUSIONS."css_dropdown_menu/images/phpf_tips_logo.jpg' border='0' alt='Powered by PHPFusion-Tips.dk' /></a></center>";
}

	echo "</tr>\n</table>\n";
closetable();

require_once THEMES."templates/footer.php";
?>
